<?php
/*
 * @version   3.3.0 Sat Apr 26 13:43:16 2014 -0700
 * @package   yoonique zoo plugin for JoomSEF
 * @author    yoonique[.]net
 * @copyright Copyright (C) yoonique[.]net and all rights reserved.
 * @license   http://www.gnu.org/licenses/gpl.html
 */


// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

class SefExt_com_zoo extends SefExt {

	var $params;
	var $dosef;

	function create(&$uri) {
		$vars = $uri->getQuery(true);
		extract($vars);
		$title = array();

		$nonSefVars = array();

		require_once(JPATH_ADMINISTRATOR . '/components/com_zoo/config.php');

		if (!defined('ZOO_SEF_ALPHAINDEX')) {
			if ($this->params->get('ZOO_SEF_ALPHAINDEX_SHOW') == null) {
				echo "<h1> PLEASE SAVE THE ZOO PLUGIN SETTINGS AT LEAST ONCE!</h1>";
				return $uri;
			}
			if ($this->params->get('ignoreSource') <> 0) {
				echo "<h1> PLEASE SET 'ignore multiple sources' TO NO IN THE ZOO PLUGIN SETTINGS!</h1>";
				return $uri;
			}
			$pluginParams = $this->params;
		}

		$zooapp = App::getInstance('zoo');

		include dirname(__FILE__).'/com_zoo_yoonique_sef.php';

		if (!$dosef)
			$nonSefVars = $vars;


		unset($task);

		$newUri = $uri;
		if (count($title) > 0)
			$newUri = JoomSEF::_sefGetLocation($uri, $title, @$task, @$limit, @$limitstart, @$lang, $nonSefVars);
		return $newUri;
	}

}

function shRemoveFromGETVarsList($dummy) {return;} // donothing

?>
