<?php

/*
 * @version   4.0.4 Mon Apr 28 13:52:26 2014 -0700
 * @package   yoonique zoo plugin for JoomSEF
 * @author    yoonique[.]net
 * @copyright Copyright (C) yoonique[.]net and all rights reserved.
 * @license   http://www.gnu.org/licenses/gpl.html
 */


// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

class SefExt_com_zoo extends SefExt {

	var $params;
	var $dosef;
	protected $zoo;

	public function __construct() {

		parent::__construct();
		defined('YOONIQUE_DBG') and yoonique_jlog(
						array(
						'text_file' => 'yoonique_zoo_sef.debug.php',
						'text_entry_format' => '{MESSAGE}'
						), JLog::ALL, array('yooniquenet')
		);

		defined('YOONIQUE_DBG') and yoonique_jadd(__METHOD__ . "   ....................", JLog::INFO, 'yooniquenet');
		defined('YOONIQUE_DBG') and yoonique_jadd(__METHOD__ . "   query " . json_encode($_GET), JLog::INFO, 'yooniquenet');
	}

	function create(&$uri) {
		$vars = $uri->getQuery(true);
//		extract($vars);
		$segments = array();

		$nonSefVars = array();

		require_once(JPATH_ADMINISTRATOR . '/components/com_zoo/config.php');

		if (!isset($ZOO_SEF_ALPHAINDEX)) {
			if ($this->params->get('ZOO_SEF_ALPHAINDEX_SHOW') == null) {
				echo "<h1> PLEASE SAVE THE ZOO PLUGIN SETTINGS AT LEAST ONCE!</h1>";
				return $uri;
			}
			if ($this->params->get('ignoreSource') <> 0) {
				echo "<h1> PLEASE SET 'ignore multiple sources' TO NO IN THE ZOO PLUGIN SETTINGS!</h1>";
				return $uri;
			}
			$pluginParams = $this->params;
		}

		if (!function_exists('myRemoveFromGETVarsList')) {

			function myRemoveFromGETVarsList($var, $uri) {
				return; // donothing
			}

		}

		$this->zoo = App::getInstance('zoo');

		include dirname(__FILE__) . '/com_zoo_yoonique_sef.php';

		if (!$dosef) {
			$nonSefVars = $vars;
		}


		$newUri = $uri;
		if (count($segments) > 0) {
			$newUri = JoomSEF::_sefGetLocation($uri, $segments, null, null, null, @$lang, $nonSefVars);
		}
			return $newUri;
	}

}
